""" Visionlabs database enums """

from enum import Enum


class Databases(Enum):
    """
    Enumerate of databases names for compare in code
    """

    # (str): name of postgres database
    POSTGRES = "postgres"
    #: (str): name of oracle database
    ORACLE = "oracle"

    def __init__(self, value: str):
        self.driver = {"postgres": "postgresql", "oracle": "oracle+cx_oracle"}[value]
